// rcrsn51 2017-02-02

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>

GtkStatusIcon *tray_icon;

void tray_icon_on_click(GtkStatusIcon *status_icon, gpointer user_data)
{
	system("peasyfwmon &");
}

static GtkStatusIcon *create_tray_icon()
{
	tray_icon = gtk_status_icon_new();
	g_signal_connect(G_OBJECT(tray_icon), "activate",G_CALLBACK(tray_icon_on_click), NULL);
	gtk_status_icon_set_from_file(tray_icon,"/usr/share/pixmaps/firewall-24.png"); 
	gtk_status_icon_set_tooltip(tray_icon,"Peasy Firewall Monitor");
	gtk_status_icon_set_visible(tray_icon, TRUE);
	return tray_icon;
}

int main(int argc, char *argv[])
{
	gtk_init(&argc, &argv);
	tray_icon = create_tray_icon();
	gtk_main();
	return 0;
}
